VkImageDrmFormatModifierExplicitCreateInfoEXT Struct Reference

`#include <vulkan_core.h>`

Collaboration diagram for VkImageDrmFormatModifierExplicitCreateInfoEXT:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
uint64_t | drmFormatModifier
uint32_t | drmFormatModifierPlaneCount
const VkSubresourceLayout * | pPlaneLayouts

## Detailed Description

Definition at line 7828 of file vulkan_core.h.

## Field Documentation

## drmFormatModifier

uint64_t VkImageDrmFormatModifierExplicitCreateInfoEXT::drmFormatModifier

Definition at line 7831 of file vulkan_core.h.

## drmFormatModifierPlaneCount

uint32_t VkImageDrmFormatModifierExplicitCreateInfoEXT::drmFormatModifierPlaneCount

Definition at line 7832 of file vulkan_core.h.

## pNext

const void* VkImageDrmFormatModifierExplicitCreateInfoEXT::pNext

Definition at line 7830 of file vulkan_core.h.

## pPlaneLayouts

const VkSubresourceLayout* VkImageDrmFormatModifierExplicitCreateInfoEXT::pPlaneLayouts

Definition at line 7833 of file vulkan_core.h.

## sType

VkStructureType VkImageDrmFormatModifierExplicitCreateInfoEXT::sType

Definition at line 7829 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h